You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@ozone.apache.org by ad...@apache.org on 2020/07/06 08:26:15 UTC

[hadoop-ozone] branch master updated: HDDS-3863. Provide script to re-generate Kubernetes resources files (#1123)

This is an automated email from the ASF dual-hosted git repository.

adoroszlai pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/hadoop-ozone.git


The following commit(s) were added to refs/heads/master by this push:
     new fb7f671  HDDS-3863. Provide script to re-generate Kubernetes resources files (#1123)
fb7f671 is described below

commit fb7f6718c65285f9b3fd85420ea9bab3744e6d39
Author: Elek, Márton <el...@users.noreply.github.com>
AuthorDate: Mon Jul 6 10:25:57 2020 +0200

    HDDS-3863. Provide script to re-generate Kubernetes resources files (#1123)
---
 .../dist/src/main/k8s/examples/regenerate-all.sh   | 31 ++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/hadoop-ozone/dist/src/main/k8s/examples/regenerate-all.sh b/hadoop-ozone/dist/src/main/k8s/examples/regenerate-all.sh
new file mode 100755
index 0000000..5475da3
--- /dev/null
+++ b/hadoop-ozone/dist/src/main/k8s/examples/regenerate-all.sh
@@ -0,0 +1,31 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+set -e
+
+if [ ! -x "$(command -v flekszible)" ]; then
+    echo "flekszible tool is required for regenerating Kubernetes files"
+    exit 1
+fi
+
+SCRIPT_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )
+cd "$SCRIPT_DIR"
+
+# shellcheck disable=SC2045,SC2035
+for dir in $(ls -d */); do
+   cd "$SCRIPT_DIR/$dir"
+   flekszible generate
+done


---------------------------------------------------------------------
To unsubscribe, e-mail: ozone-commits-unsubscribe@hadoop.apache.org
For additional commands, e-mail: ozone-commits-help@hadoop.apache.org